<%@ Page Language="C#" AutoEventWireup="true" debug="true" Inherits="WinLibClass.Form.Admin.UserOrderForm.Update"  CodePage="65001" %>


<script type="text/javascript"> 


$(document).ready(function(){


});

function SaveSub(){
		if(jQuery("#IsChecked").val()>0){Alert("该订单已 支付过了，不可再修改!");return false;}
		if(jQuery("#UserId").val()<1){Alert("请选择或填写会员编号!");return false;}
		var pass= true;
//		if(<%=DataInfo.ID%>>0)
//		{
//			//关闭弹出框
//			return false;
//		}
//		if(confirm("该操作不可逆，您确定要充值吗？您输入的信息是否准确？\r\n\r\n∵ 如果准确，请点击“确定”。\r\n∴ 如果不确定，请点击“取消”，待再一次检查之后再点击“充值”。")==false)
//		{
//			return false;
//		}
		var _msg="该操作将<%=DataInfo.ID>0?"修改本条":"产生一条后台"%>手工充值订单。该订单可以由会员自己支付，也可以由后台进行直接支付。是否确定写入？(已支付订单不再处理！)"
		if(confirm(_msg)==false)
		{
			return false;
		}

		if(pass)
		{
			var queryString = $('#form_add').serialize()
			jQuery.ajax({	
				async:false,
				type: "POST",
				url: "update.aspx?IsAdd=2",
				data:queryString,
				cache: false,
				success: function(msg){
			
						if(msg=='1'){ 
							Alert('<%=(DataInfo.ID>0)?"修改":"添加" %>充值成功!',1,function(){Common.Refresh();});
							Common.Refresh();
						}else if(msg==-10){Alert("该订单已支付过了，不可再编辑。");}
						else{
							msg = "<%=(DataInfo.ID>0)?"修改":"添加" %>充值订单失败,请检查各项输入是否正确或网络连接状态.代码("+ msg +")";
							AlertErr(msg  );
						}
				},
				error:function(msg)//msg.responseText
				{
					AlertErr("写入数据库异常.");
				}
				
			});		
			
		}
		else
		{
			ShowErrorMsg("出错啦:连接异常,操作失败");
		}
		
		return false;

	}


</script> 


<div style="height:auto;border:0px;width:690px;overflow:hidden;">

	<form id="form_add">
<div class="TableUpdateDiv"  style="width:99%;">
<div style="width:98%;">
	<table class="TableUpdate" style="text-align:left;">
	
	<tr>
	<td title="">
		<b>序号 : </b>[<%=DataInfo.ID%>] &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;	
		<input id="ID" name="ID" type="hidden" value="<%=DataInfo.ID%>" style="width:30px"  /> 
		<b>会员 : </b>
		<font id="UserId_NickName">
		<%=GetUserNickName(DataInfo.UserId)%></font>  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;	
		<b>编号 : </b><input id="UserId" name="UserId" type="text" value="<%=DataInfo.UserId%>" style="width:30px" readonly /> 
		<a onclick="ShowDetailInfo(1,jQuery('#UserId').val())">查看</a>
				
		<A onclick="ChooseUser1(jQuery('#UserId').val(),'UserId_NickName','UserId',1);">选择</a>( 请不要随意更改,以免造成数据紊乱. )

	</td>	
	</tr>
	
	<tr>
	<td >
		<b>操作类型 : </b>
		<select id="OperateType" name="OperateType" style="width:300px;" >
		<option value="0" style="color:green" <%=((DataInfo.OperateType==0)?"selected":"")%> >会员充值</option>
		<option value="100" style="color:green" <%=((DataInfo.OperateType==100)?"selected":"")%> >后台手工充值</option>
		</select>
		
	</td>	
	</tr>	
	
	
	<tr class="Hide">
	<td >
		<b>充值类型:</b>
		<select id="Pid" name="Pid" style="width:560px;" >
		<%//=GetPointSettingListOption()%>
		<option value="0"  class="Red Bg8B8B8B" selected><div>---自定义---</div></option>
		</select>	
		<div  class="Red Bgdddefa W">
		　　注意：选择“自定义”时系统将按下述设置值进行保存。
		</div>			
	</td>	
	</tr>	
	
	<tr >
	<td>
		<b><%=WinLibClass.Config.Global.WebSiteConfig.PointName_1%> : </b><input id="Point1" name="Point1" type="text" value="<%=DataInfo.Point1%>" />
		<b>金额 :  </b>&yen; <input id="PointPrice" name="PointPrice" type="text" value="<%=DataInfo.PointPrice /100f  %>" />
	</td>
	</tr>	
	<tr >
	<td>
	<b><%=WinLibClass.Config.Global.WebSiteConfig.PointName_2%> : </b><input id="Point2" name="Point2" type="text" value="<%=DataInfo.Point2%>" />
	</td>
	</tr>	
	<tr>
	<td>
	<b><%=WinLibClass.Config.Global.WebSiteConfig.PointName_3%> : </b><input id="Point3" name="Point3" type="text" value="<%=DataInfo.Point3%>" />
	</td>
	</tr>	
	<tr >
	<td>
		<b>积分 : </b><input id="Credits" name="Credits" type="text" value="<%=DataInfo.Credits%>" />
		<b>金额 : </b>&yen; <input id="CreditsPrice" name="CreditsPrice" type="text" value="<%=DataInfo.CreditsPrice /100f %>" />
	</td>
	</tr>	
	
	</table>
		<input id="IsChecked" name="IsChecked" type="hidden" value="<%=DataInfo.IsChecked%>" />
		<input id="CreateTime" name="CreateTime" type="hidden" value="<%=DataInfo.CreateTime%>" />	
</div>
</div>

</form>
	
</div>

